let proxy = {
  "/api/ecs_core": {
    target: "http://192.168.10.39:8848",
    changeOrigin: true
  },
  "/api/ecs_exam_work": {
    target: "http://192.168.10.39:8858",
    changeOrigin: true
  },
  "/api/ecs_ques": {
    target: "http://192.168.10.39:8868",
    changeOrigin: true
  },
  "/api/ecs_oe": {
    target: "http://192.168.10.39:8878",
    changeOrigin: true
  },
  "/api/ecs_marking": {
    target: "http://192.168.10.39:8888",
    changeOrigin: true
  }
};

// const stu = [
//   "/api/ecs_oe",
//   "/api/ecs_oe_student/",
//   "/api/sys_param",
//   "/api/exam_record",
//   "/api/exam_control",
//   "/api/exam_question",
//   "/api/exam_score",
//   "/api/practice_course",
//   "/api/practice_detail",
//   "/api/practice_record",
//   "/api/exam_captures",
//   "/api/face_capture",
//   "/api/face_verify",
//   "/api/offline_exam"
// ];

// for (const s of stu) {
//   proxy[s] = {
//     target: "http://ecs-dev.qmth.com.cn:8003", // 陈恳
//     changeOrigin: true
//   };
// }

// const mock = [{ source: "/api/mock/exam_question", dest: "/examQuestions" }];

// for (const m of mock) {
//   proxy[m.source] = {
//     target: "http://localhost:3000/",
//     changeOrigin: true,
//     pathRewrite: {
//       ".*": m.dest
//     }
//   };
// }

var webpack = require("webpack");
module.exports = {
  devServer: {
    proxy
  },
  configureWebpack: {
    plugins: [
      // Ignore all locale files of moment.js
      new webpack.IgnorePlugin(/^\.\/locale$/, /moment$/)
    ]
  },
  transpileDependencies: [/\bvue-awesome\b/]
};
